Index: branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Analyzers/BestKnapsackSolutionAnalyzer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Analyzers/BestKnapsackSolutionAnalyzer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Analyzers/BestKnapsackSolutionAnalyzer.cs	(revision 14927)
@@ -28,5 +28,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.Knapsack {
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("BestKnapsackSolutionAnalyzer", "An operator for analyzing the best solution for a Knapsack problem.")]
-  [StorableClass]
+  [StorableType("d22712d0-e09c-409b-aa75-8fc782b41053")]
   public class BestKnapsackSolutionAnalyzer : SingleSuccessorOperator, IAnalyzer, ISingleObjectiveOperator {
     public virtual bool EnabledByDefault {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Evaluators/KnapsackEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Evaluators/KnapsackEvaluator.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Evaluators/KnapsackEvaluator.cs	(revision 14927)
@@ -27,5 +27,5 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.Knapsack {
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("KnapsackEvaluator", "Evaluates solutions for the Knapsack problem.")]
-  [StorableClass]
+  [StorableType("8b2efd17-2a06-449a-aaae-439dd4ca103f")]
   public class KnapsackEvaluator : InstrumentedOperator, IKnapsackEvaluator {
     public ILookupParameter<DoubleValue> QualityParameter {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Improvers/KnapsackImprovementOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Improvers/KnapsackImprovementOperator.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Improvers/KnapsackImprovementOperator.cs	(revision 14927)
@@ -29,5 +29,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.Knapsack {
@@ -40,5 +40,5 @@
   /// </remarks>
   [Item("KnapsackImprovementOperator", "An operator that improves knapsack solutions. It is implemented as described in Laguna, M. and Martí, R. (2003). Scatter Search: Methodology and Implementations in C. Operations Research/Computer Science Interfaces Series, Vol. 24. Springer.")]
-  [StorableClass]
+  [StorableType("6b0f06c0-1c12-4d3e-9825-f47d4ce80b5c")]
   public sealed class KnapsackImprovementOperator : SingleSuccessorOperator, ISingleObjectiveImprovementOperator {
     #region Parameter properties
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/KnapsackProblem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/KnapsackProblem.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/KnapsackProblem.cs	(revision 14927)
@@ -31,5 +31,5 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.PluginInfrastructure;
 
@@ -37,5 +37,5 @@
   [Item("Knapsack Problem (KSP)", "Represents a Knapsack problem.")]
   [Creatable(CreatableAttribute.Categories.CombinatorialProblems, Priority = 200)]
-  [StorableClass]
+  [StorableType("2c21c642-fa5d-4f8b-bcb3-294563d7852c")]
   public sealed class KnapsackProblem : SingleObjectiveHeuristicOptimizationProblem<IKnapsackEvaluator, IBinaryVectorCreator>, IStorableContent {
     public string Filename { get; set; }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/KnapsackSolution.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/KnapsackSolution.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/KnapsackSolution.cs	(revision 14927)
@@ -26,5 +26,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.BinaryVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.Knapsack {
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("KnapsackSolution", "Represents a Knapsack solution which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableType("7e92edd9-7d8b-4bdb-b3d4-4c04952af9ac")]
   public class KnapsackSolution : Item {
     public static new Image StaticItemImage {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/MoveEvaluators/KnapsackMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/MoveEvaluators/KnapsackMoveEvaluator.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/MoveEvaluators/KnapsackMoveEvaluator.cs	(revision 14927)
@@ -27,5 +27,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.Knapsack {
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("KnapsackMoveEvaluator", "A base class for operators which evaluate Knapsack moves.")]
-  [StorableClass]
+  [StorableType("c43dd926-98eb-48e5-a327-fd845da942fd")]
   public abstract class KnapsackMoveEvaluator : SingleSuccessorOperator, IKnapsackMoveEvaluator, IBinaryVectorMoveOperator {
     public ILookupParameter<DoubleValue> QualityParameter {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/MoveEvaluators/KnapsackOneBitflipMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/MoveEvaluators/KnapsackOneBitflipMoveEvaluator.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/MoveEvaluators/KnapsackOneBitflipMoveEvaluator.cs	(revision 14927)
@@ -25,5 +25,5 @@
 using HeuristicLab.Encodings.BinaryVectorEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.Knapsack {
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("KnapsackOneBitflipMoveEvaluator", "Base class for evaluating one bitflip moves.")]
-  [StorableClass]
+  [StorableType("c20c3905-8d20-4521-b941-102798124f38")]
   public class KnapsackOneBitflipMoveEvaluator : KnapsackMoveEvaluator, IOneBitflipMoveOperator {
     public ILookupParameter<OneBitflipMove> OneBitflipMoveParameter {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/PathRelinkers/KnapsackPathRelinker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/PathRelinkers/KnapsackPathRelinker.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/PathRelinkers/KnapsackPathRelinker.cs	(revision 14927)
@@ -28,5 +28,5 @@
 using HeuristicLab.Encodings.BinaryVectorEncoding;
 using HeuristicLab.Optimization.Operators;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.Knapsack {
@@ -38,5 +38,5 @@
   /// </remarks>
   [Item("KnapsackPathRelinker", "An operator that relinks paths between knapsack solutions. The operator incrementally assimilates the initiating solution into the guiding solution by adding and removing elements as needed.")]
-  [StorableClass]
+  [StorableType("e7508925-0559-4d11-8ad8-d39cc8ddec26")]
   public sealed class KnapsackPathRelinker : SingleObjectivePathRelinker {
     [StorableConstructor]
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/PathRelinkers/KnapsackSimultaneousPathRelinker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/PathRelinkers/KnapsackSimultaneousPathRelinker.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/PathRelinkers/KnapsackSimultaneousPathRelinker.cs	(revision 14927)
@@ -28,5 +28,5 @@
 using HeuristicLab.Encodings.BinaryVectorEncoding;
 using HeuristicLab.Optimization.Operators;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.Knapsack {
@@ -38,5 +38,5 @@
   /// </remarks>
   [Item("KnapsackSimultaneousPathRelinker", "An operator that relinks paths between knapsack solutions starting from both ends. The operator incrementally assimilates the initiating solution into the guiding solution and vice versa by adding and removing elements as needed.")]
-  [StorableClass]
+  [StorableType("e33c25e5-befb-4e4f-9675-e1ba2754c2c7")]
   public sealed class KnapsackSimultaneousPathRelinker : SingleObjectivePathRelinker {
     [StorableConstructor]
